JavaScript
import CheckoutIntents from 'checkout-intents';
const client = new CheckoutIntents({
apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted
});
const productSubscription = await client.products.subscribe({
type: 'store',
url: 'https://store.myshopify.com',
});
console.log(productSubscription);import os
from checkout_intents import CheckoutIntents
client = CheckoutIntents(
api_key=os.environ.get("CHECKOUT_INTENTS_API_KEY"), # This is the default and can be omitted
)
product_subscription = client.products.subscribe(
type="store",
url="https://store.myshopify.com",
)
print(product_subscription)package com.rye.example;
import com.rye.client.CheckoutIntentsClient;
import com.rye.client.okhttp.CheckoutIntentsOkHttpClient;
import com.rye.models.products.ProductSubscribeParams;
import com.rye.models.products.ProductSubscription;
public final class Main {
private Main() {}
public static void main(String[] args) {
CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();
ProductSubscribeParams params = ProductSubscribeParams.builder()
.type(ProductSubscribeParams.Type.STORE)
.url("https://store.myshopify.com")
.build();
ProductSubscription productSubscription = client.products().subscribe(params);
}
}curl https://staging.api.rye.com/api/v1/products/subscribe \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CHECKOUT_INTENTS_API_KEY" \
-d '{
"type": "store",
"url": "https://store.myshopify.com"
}'
{
"subscribed": true,
"url": "<string>",
"id": "<string>",
"type": "product"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"status": 123,
"fields": {},
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>",
"retryAfter": "<string>"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}Products
Subscribe to product events
Subscribe to product events for one integrated Shopify URL.
POST
/
api
/
v1
/
products
/
subscribe
JavaScript
import CheckoutIntents from 'checkout-intents';
const client = new CheckoutIntents({
apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted
});
const productSubscription = await client.products.subscribe({
type: 'store',
url: 'https://store.myshopify.com',
});
console.log(productSubscription);import os
from checkout_intents import CheckoutIntents
client = CheckoutIntents(
api_key=os.environ.get("CHECKOUT_INTENTS_API_KEY"), # This is the default and can be omitted
)
product_subscription = client.products.subscribe(
type="store",
url="https://store.myshopify.com",
)
print(product_subscription)package com.rye.example;
import com.rye.client.CheckoutIntentsClient;
import com.rye.client.okhttp.CheckoutIntentsOkHttpClient;
import com.rye.models.products.ProductSubscribeParams;
import com.rye.models.products.ProductSubscription;
public final class Main {
private Main() {}
public static void main(String[] args) {
CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();
ProductSubscribeParams params = ProductSubscribeParams.builder()
.type(ProductSubscribeParams.Type.STORE)
.url("https://store.myshopify.com")
.build();
ProductSubscription productSubscription = client.products().subscribe(params);
}
}curl https://staging.api.rye.com/api/v1/products/subscribe \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CHECKOUT_INTENTS_API_KEY" \
-d '{
"type": "store",
"url": "https://store.myshopify.com"
}'
{
"subscribed": true,
"url": "<string>",
"id": "<string>",
"type": "product"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"status": 123,
"fields": {},
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>",
"retryAfter": "<string>"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}Authorizations
Rye API key
Body
application/json
Was this page helpful?
⌘I

